diff --git a/templates/downloads/js/yum.js b/templates/downloads/js/yum.js
index b09235f9..bceb73fa 100644
--- a/templates/downloads/js/yum.js
+++ b/templates/downloads/js/yum.js
@@ -10,7 +10,7 @@ function get_platform_name(plat, ver) {
         if (parseFloat(ver) <= 7)
 	    return "Red Hat Enterprise, CentOS, Scientific or Oracle";
         else
-	    return "Red Hat Enterprise, CentOS or Oracle";
+	    return "Red Hat Enterprise, Rocky, CentOS or Oracle";
     }
     else if (plat == 'F')
 	return "Fedora";
diff --git a/templates/pages/download/linux/redhat.html b/templates/pages/download/linux/redhat.html
index be1f3ac9..9652105a 100644
--- a/templates/pages/download/linux/redhat.html
+++ b/templates/pages/download/linux/redhat.html
@@ -12,6 +12,7 @@ The Red Hat family of distributions includes:
 <p>
   <ul>
     <li>Red Hat Enterprise Linux</li>
+    <li>Rocky Linux</li>
     <li>CentOS</li>
     <li>Fedora</li>
     <li>Scientific Linux</li>
@@ -42,6 +43,7 @@ The PostgreSQL Yum Repository currently supports:
 <p>
   <ul>
     <li>Red Hat Enterprise Linux</li>
+    <li>Rocky Linux</li>
     <li>CentOS</li>
     <li>Scientific Linux</li>
     <li>Oracle Linux</li>
@@ -98,7 +100,7 @@ the distribution:
   </thead>
   <tbody>
     <tr>
-     <th scope="row">RHEL/CentOS/OL 8</th>
+     <th scope="row">RHEL/Rocky Linux/CentOS/OL 8</th>
      <td>13, 12, 10 and 9.6 via modules</td>
     </tr>
     <tr>
@@ -161,7 +163,7 @@ perform the following steps, based on your distribution:
   service postgresql initdb
   chkconfig postgresql on
 </pre>
-<h4>For RHEL / CentOS / SL / OL 7, 8 or Fedora 31 and later derived distributions:</h4>
+<h4>For RHEL / Rocky Linux / CentOS / SL / OL 7, 8 or Fedora 31 and later derived distributions:</h4>
 <pre class="code">
   postgresql-setup --initdb
   systemctl enable postgresql.service
